part of 'submit_qr_code_bloc.dart';

abstract class SubmitQrCodeState extends Equatable {
  const SubmitQrCodeState();

  @override
  List<Object?> get props => [];
}

class SubmitQrCodeInitial extends SubmitQrCodeState {
  const SubmitQrCodeInitial();
}

class SubmitQrCodeLoading extends SubmitQrCodeState {
  const SubmitQrCodeLoading();
}

class SubmitQrCodeSuccess extends SubmitQrCodeState {
  final Map<String, dynamic> data;
  final String? message;

  const SubmitQrCodeSuccess({
    required this.data,
    this.message,
  });

  @override
  List<Object?> get props => [data, message];
}

class SubmitQrCodeFailure extends SubmitQrCodeState {
  final String errorMessage;
  final String? error;

  const SubmitQrCodeFailure({
    required this.errorMessage,
    this.error,
  });

  @override
  List<Object?> get props => [errorMessage, error];
}